#----------------------------------------------------
# PATCH TV EXPLORER HD
# JAVIER NOVO 24/12/2010
#----------------------------------------------------
# PATCH to set new limits in the battery indications
# VERION: 1.00
# MODIFICATIONS:
#----------------------------------------------------
LOG YES
#register version in LOG file
ASK *?VE
SEND *3141&
SEND *EM0
WAIT 2

#register PATCH application inside the equipment
SEND *LOPATCH_LIMITS_BAT_INDICATORS_CONF-HD

SEND *OPENA:/SYS/ETC/ADJUST.CFG
	#-------------------------------------------------------------------------------
	# BATTERY ADJUST
	#-------------------------------------------------------------------------------
	# 		Start Address 0x04FC
	#		End	  Address 0x050D
	#		Reserved: 	  18 bytes
	#		Used:     	  18 bytes
	#		Estructura de les dades:
	#	Valor1:(2 byte) Tensi mxima de bateria. Quan est
	#					carregada i te l'alimentador extern
	#					connectat. Unitats mV.
	#					Valor = 0x2134 (8500 mV)
	#	Valor2:(2 byte) Tensi de la bateria a plena carga.
	#					Unitats mV.
	#					Valor = 0x1C6B (7275 mV) OBSOLET
	#	v1.13	jna(10:08 24/12/2010)	Es canvien els ajustos de la bateria
	#					Valor= 0x1CB6 (7350 mV)
	#	Valor3:(2 byte) Tensi de la bateria s baixa.
	#					Unitats mV.
	#					Valor = 0x1B58 (7000 mV) 
	#	v1.13	jna(10:08 24/12/2010)	Es canvien els ajustos de la bateria
	#					Valor=0x1AF4 (6900 mV)
	#	Valor4:(2 byte) Tensi de la bateria s molt baixa.
	#					Unitats mV.
	#					Valor = 0x1A90 (6800 mV)
	#	v1.13	jna(10:08 24/12/2010)	Es canvien els ajustos de la bateria
	#					Valor=0x1A18 (6680 mV)
	#	Valor5:(2 byte) Tensi de la bateria per sota de la qual
	#					l'equip s'apaga. Unitats mV.
	#					Valor = 0x1964 (6500 mV)
	#	v1.13	jna(10:08 24/12/2010)	Es canvien els ajustos de la bateria
	#					Valor=0x19C8 (6600 mV)
	#	Valor6:(2 byte) Bateria esgotada l'equip no pot arrancar amb una
	#					tensi per sota d'aquesta.. Unitats mV.
	#					Valor = 0x1964 (6500 mV)
	#	v1.13	jna(10:08 24/12/2010)	Es canvien els ajustos de la bateria
	#					Valor=0x19C8 (6600 mV)
	#	Valor7:(2 byte) Histeresi per passar d'un estat a un altre
	#					durant la carga/descarga de la bateria.Unitats mV.
	#					Valor = 0x0064 (100 mV)
	#	Valor8:(4 byte) Pendent de la recta que passa els punts AD
	#					a mV de tensi de bateria. Unitats decimes_mV/punt AD.
	#					Valor = 0x0000006B (107 dec_mV/punt AD)
	#	v1.13	jna(10:08 24/12/2010)	Es canvien els ajustos de la bateria
	#SEND *WR04FC34216B1C581B901A6419641964006B000000
	SEND *WR04FC3421B61CF41A181AC819C81964006B000000
SEND *CLOSESAVE
SEND *LOPATCH_LIMITS_BAT_INDICATORS_CONF-HD_DONE
SEND *UPDATEADJUSTMENTS
SEND *EM2
WAITFLUSHING 3					#keep displaying text messages
alert							#indicate end of process
